# THIS FILE IS AUTOMATICALLY GENERATED BY CARGO
#
# When uploading crates to the registry Cargo will automatically
# "normalize" Cargo.toml files for maximal compatibility
# with all versions of Cargo and also rewrite `path` dependencies
# to registry (e.g., crates.io) dependencies.
#
# If you are reading this file be aware that the original Cargo.toml
# will likely look very different (and much more reasonable).
# See Cargo.toml.orig for the original contents.

[package]
edition = "2024"
name = "skctl"
version = "2.6.0"
authors = ["Applied Computing Research Labs"]
build = false
autolib = false
autobins = false
autoexamples = false
autotests = false
autobenches = false
description = "CLI utility for SimKube"
documentation = "https://simkube.dev/documentation/"
readme = "README.md"
license-file = "LICENSE"
resolver = "2"

[[bin]]
name = "skctl"
path = "src/main.rs"

[dependencies.anyhow]
version = "1.0.98"
features = ["backtrace"]

[dependencies.assertables]
version = "9.8.0"

[dependencies.blackbox-metrics]
version = "0.0.1"

[dependencies.bytes]
version = "1.11.1"

[dependencies.chrono]
version = "0.4.41"

[dependencies.clap]
version = "4.5.40"
features = [
    "cargo",
    "derive",
    "string",
]

[dependencies.clap_complete]
version = "4.5.54"

[dependencies.clockabilly]
version = "0.2.2"

[dependencies.const_format]
version = "0.2.34"

[dependencies.dirs]
version = "6.0.0"

[dependencies.humantime]
version = "2.3.0"

[dependencies.json-patch-ext]
version = "0.3.3"

[dependencies.k8s-openapi]
version = "0.26.1"
features = ["v1_30"]

[dependencies.kdam]
version = "0.6.4"
features = [
    "gradient",
    "spinner",
    "template",
]

[dependencies.kube]
version = "2.0.1"
features = [
    "client",
    "derive",
    "http-proxy",
    "runtime",
    "rustls-tls",
    "admission",
    "unstable-runtime",
]
default-features = false

[dependencies.metrics]
version = "0.24.3"

[dependencies.pest]
version = "2.8.5"

[dependencies.pest_derive]
version = "2.8.5"

[dependencies.ratatui]
version = "0.29.0"

[dependencies.regex]
version = "1.11.1"

[dependencies.reqwest]
version = "0.13.2"
features = ["json"]
default-features = false

[dependencies.rmp-serde]
version = "1.3.0"

[dependencies.serde]
version = "1.0.219"

[dependencies.serde_json]
version = "1.0.140"

[dependencies.serde_yaml]
version = "0.9.34"

[dependencies.sk-api]
version = "2.6.0"

[dependencies.sk-core]
version = "2.6.0"

[dependencies.sk-store]
version = "2.6.0"

[dependencies.thiserror]
version = "2.0.12"

[dependencies.tokio]
version = "1.45.1"
features = [
    "io-util",
    "macros",
    "process",
    "rt-multi-thread",
    "time",
]

[dev-dependencies.httpmock]
version = "0.8.0-alpha.1"

[dev-dependencies.insta]
version = "1.43.1"

[dev-dependencies.rstest]
version = "0.26.1"

[dev-dependencies.rstest-log]
version = "0.2.0"

[dev-dependencies.test-log]
version = "0.2.18"
features = ["trace"]

[lints.rust.unexpected_cfgs]
level = "allow"
priority = 0
check-cfg = ["cfg(coverage,coverage_nightly)"]
